Subject: Re: linux-next: Tree for Oct 9th (of: unittest: testcases)

From: Frank Rowand <[email-masked]>
Date: Wed, 11 Oct 2017 11:11:14 -0700

On 10/10/17 11:26, Rob Herring wrote:
> +Frank
> 
> On Tue, Oct 10, 2017 at 12:33 PM, Randy Dunlap <[email-masked]> wrote:
>> On 10/09/17 14:21, Mark Brown wrote:
>>> For my birthday I've gone and got myself a linux-next tree:
>>>
>>> Changes since 20170929:
>>>
>>> The net-next and drm trees lost their build failures but the rcu tree
>>> gained one.
>>
>>
>> I don't know what this is but it's new AFAIK.
>> (seen on i386 and x86_64)
> 
> Yes, new dtc version with new warnings.
> 
>>   DTC     drivers/of/unittest-data/testcases.dtb
>> drivers/of/unittest-data/testcases.dtb: Warning (interrupts_extended_property): Could not get phandle node for /__local_fixups__/testcase-data/interrupts/interrupts-extended0:interrupts-extended(cell 3)
> 
> Frank, this is in __local_fixups__, we should be able to remove that
> now as the necessary dtc changes are in place, right?

Yes, I have a patch to add "/plugin/;" to testcases.dts and remove the __local_fixups__ node,
but have not submitted it yet.

It builds and the unit tests still work.

I still need to rework all of the overlays that are hand coded in testcases.dts,
and was planning to do that before submitting the above changes.

-Frank

> 
>> drivers/of/unittest-data/testcases.dtb: Warning (interrupts_property): interrupts size is (4), expected multiple of 8 in /testcase-data/testcase-device2
> 
> This one is purposely bad data to feed the unit test. If I suppress
> it, then it is suppressed everywhere in the unit test data.
> 
> Rob
> .
>